curl -X POST "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links" \
-H "Content-Type: application/json" \
-H "Authorization: <Authorization>" \
-d '{
"label": "black-friday-2026",
"expiration": "2026-12-31T23:59:59",
"max_orders": 100,
"type": "custom",
"request_delivery_address": false,
"shipping_amount": 500,
"products": [
{
"product_type": "physical_goods",
"title": "Camiseta Oficial Getnet",
"image_id": "6697e354-ab4a-11eb-bcbc-0242ac130002",
"description": "Camiseta 100% algodão, tamanho M",
"quantity": 2,
"order_prefix": "BF2026",
"amount": 9990
}
],
"payment": {
"credit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true,
"supported_installments": [
{
"schema": "plan_lojista",
"schema_name": "Plan Lojista",
"installments": [
2,
3,
6,
9,
12
],
"installments_with_interest": [
6,
9,
12
],
"installments_with_increase": null
}
]
}
]
},
"debit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true
}
]
},
"bankslip": {
"enabled": true
},
"instant_payment": {
"enabled": true
},
"google_pay": {
"enabled": true
},
"apple_pay": {
"enabled": true
},
"c2p_master": {
"enabled": false
}
},
"currency": "BRL"
}'
const response = await fetch(`https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links`, {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
"label": "black-friday-2026",
"expiration": "2026-12-31T23:59:59",
"max_orders": 100,
"type": "custom",
"request_delivery_address": false,
"shipping_amount": 500,
"products": [
{
"product_type": "physical_goods",
"title": "Camiseta Oficial Getnet",
"image_id": "6697e354-ab4a-11eb-bcbc-0242ac130002",
"description": "Camiseta 100% algodão, tamanho M",
"quantity": 2,
"order_prefix": "BF2026",
"amount": 9990
}
],
"payment": {
"credit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true,
"supported_installments": [
{
"schema": "plan_lojista",
"schema_name": "Plan Lojista",
"installments": [
2,
3,
6,
9,
12
],
"installments_with_interest": [
6,
9,
12
],
"installments_with_increase": null
}
]
}
]
},
"debit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true
}
]
},
"bankslip": {
"enabled": true
},
"instant_payment": {
"enabled": true
},
"google_pay": {
"enabled": true
},
"apple_pay": {
"enabled": true
},
"c2p_master": {
"enabled": false
}
},
"currency": "BRL"
})
});
const data = await response.json();
import requests
response = requests.request(
"POST",
"https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links",
json={
"label": "black-friday-2026",
"expiration": "2026-12-31T23:59:59",
"max_orders": 100,
"type": "custom",
"request_delivery_address": False,
"shipping_amount": 500,
"products": [
{
"product_type": "physical_goods",
"title": "Camiseta Oficial Getnet",
"image_id": "6697e354-ab4a-11eb-bcbc-0242ac130002",
"description": "Camiseta 100% algodão, tamanho M",
"quantity": 2,
"order_prefix": "BF2026",
"amount": 9990
}
],
"payment": {
"credit": {
"enabled": True,
"brands": [
{
"enabled": True,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": True,
"supported_installments": [
{
"schema": "plan_lojista",
"schema_name": "Plan Lojista",
"installments": [
2,
3,
6,
9,
12
],
"installments_with_interest": [
6,
9,
12
],
"installments_with_increase": None
}
]
}
]
},
"debit": {
"enabled": True,
"brands": [
{
"enabled": True,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": True
}
]
},
"bankslip": {
"enabled": True
},
"instant_payment": {
"enabled": True
},
"google_pay": {
"enabled": True
},
"apple_pay": {
"enabled": True
},
"c2p_master": {
"enabled": False
}
},
"currency": "BRL"
},
)
data = response.json()
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Content-Type: application/json"]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{
"label": "black-friday-2026",
"expiration": "2026-12-31T23:59:59",
"max_orders": 100,
"type": "custom",
"request_delivery_address": false,
"shipping_amount": 500,
"products": [
{
"product_type": "physical_goods",
"title": "Camiseta Oficial Getnet",
"image_id": "6697e354-ab4a-11eb-bcbc-0242ac130002",
"description": "Camiseta 100% algodão, tamanho M",
"quantity": 2,
"order_prefix": "BF2026",
"amount": 9990
}
],
"payment": {
"credit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true,
"supported_installments": [
{
"schema": "plan_lojista",
"schema_name": "Plan Lojista",
"installments": [
2,
3,
6,
9,
12
],
"installments_with_interest": [
6,
9,
12
],
"installments_with_increase": null
}
]
}
]
},
"debit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true
}
]
},
"bankslip": {
"enabled": true
},
"instant_payment": {
"enabled": true
},
"google_pay": {
"enabled": true
},
"apple_pay": {
"enabled": true
},
"c2p_master": {
"enabled": false
}
},
"currency": "BRL"
}');
$response = curl_exec($ch);
curl_close($ch);
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, _ := http.NewRequest("POST", "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links", strings.NewReader(`{
"label": "black-friday-2026",
"expiration": "2026-12-31T23:59:59",
"max_orders": 100,
"type": "custom",
"request_delivery_address": false,
"shipping_amount": 500,
"products": [
{
"product_type": "physical_goods",
"title": "Camiseta Oficial Getnet",
"image_id": "6697e354-ab4a-11eb-bcbc-0242ac130002",
"description": "Camiseta 100% algodão, tamanho M",
"quantity": 2,
"order_prefix": "BF2026",
"amount": 9990
}
],
"payment": {
"credit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true,
"supported_installments": [
{
"schema": "plan_lojista",
"schema_name": "Plan Lojista",
"installments": [
2,
3,
6,
9,
12
],
"installments_with_interest": [
6,
9,
12
],
"installments_with_increase": null
}
]
}
]
},
"debit": {
"enabled": true,
"brands": [
{
"enabled": true,
"brand": "VISA",
"currencies": [
"BRL"
],
"threeds": true
}
]
},
"bankslip": {
"enabled": true
},
"instant_payment": {
"enabled": true
},
"google_pay": {
"enabled": true
},
"apple_pay": {
"enabled": true
},
"c2p_master": {
"enabled": false
}
},
"currency": "BRL"
}`))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, _ := io.ReadAll(resp.Body)
fmt.Println(string(data))
}
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links"))
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"label\": \"black-friday-2026\",\n \"expiration\": \"2026-12-31T23:59:59\",\n \"max_orders\": 100,\n \"type\": \"custom\",\n \"request_delivery_address\": false,\n \"shipping_amount\": 500,\n \"products\": [\n {\n \"product_type\": \"physical_goods\",\n \"title\": \"Camiseta Oficial Getnet\",\n \"image_id\": \"6697e354-ab4a-11eb-bcbc-0242ac130002\",\n \"description\": \"Camiseta 100% algodão, tamanho M\",\n \"quantity\": 2,\n \"order_prefix\": \"BF2026\",\n \"amount\": 9990\n }\n ],\n \"payment\": {\n \"credit\": {\n \"enabled\": true,\n \"brands\": [\n {\n \"enabled\": true,\n \"brand\": \"VISA\",\n \"currencies\": [\n \"BRL\"\n ],\n \"threeds\": true,\n \"supported_installments\": [\n {\n \"schema\": \"plan_lojista\",\n \"schema_name\": \"Plan Lojista\",\n \"installments\": [\n 2,\n 3,\n 6,\n 9,\n 12\n ],\n \"installments_with_interest\": [\n 6,\n 9,\n 12\n ],\n \"installments_with_increase\": null\n }\n ]\n }\n ]\n },\n \"debit\": {\n \"enabled\": true,\n \"brands\": [\n {\n \"enabled\": true,\n \"brand\": \"VISA\",\n \"currencies\": [\n \"BRL\"\n ],\n \"threeds\": true\n }\n ]\n },\n \"bankslip\": {\n \"enabled\": true\n },\n \"instant_payment\": {\n \"enabled\": true\n },\n \"google_pay\": {\n \"enabled\": true\n },\n \"apple_pay\": {\n \"enabled\": true\n },\n \"c2p_master\": {\n \"enabled\": false\n }\n },\n \"currency\": \"BRL\"\n}"))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require "net/http"
require "uri"
uri = URI("https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = uri.scheme == "https"
request = Net::HTTP::Post.new(uri)
request["Content-Type"] = "application/json"
request.body = "{\n \"label\": \"black-friday-2026\",\n \"expiration\": \"2026-12-31T23:59:59\",\n \"max_orders\": 100,\n \"type\": \"custom\",\n \"request_delivery_address\": false,\n \"shipping_amount\": 500,\n \"products\": [\n {\n \"product_type\": \"physical_goods\",\n \"title\": \"Camiseta Oficial Getnet\",\n \"image_id\": \"6697e354-ab4a-11eb-bcbc-0242ac130002\",\n \"description\": \"Camiseta 100% algodão, tamanho M\",\n \"quantity\": 2,\n \"order_prefix\": \"BF2026\",\n \"amount\": 9990\n }\n ],\n \"payment\": {\n \"credit\": {\n \"enabled\": true,\n \"brands\": [\n {\n \"enabled\": true,\n \"brand\": \"VISA\",\n \"currencies\": [\n \"BRL\"\n ],\n \"threeds\": true,\n \"supported_installments\": [\n {\n \"schema\": \"plan_lojista\",\n \"schema_name\": \"Plan Lojista\",\n \"installments\": [\n 2,\n 3,\n 6,\n 9,\n 12\n ],\n \"installments_with_interest\": [\n 6,\n 9,\n 12\n ],\n \"installments_with_increase\": null\n }\n ]\n }\n ]\n },\n \"debit\": {\n \"enabled\": true,\n \"brands\": [\n {\n \"enabled\": true,\n \"brand\": \"VISA\",\n \"currencies\": [\n \"BRL\"\n ],\n \"threeds\": true\n }\n ]\n },\n \"bankslip\": {\n \"enabled\": true\n },\n \"instant_payment\": {\n \"enabled\": true\n },\n \"google_pay\": {\n \"enabled\": true\n },\n \"apple_pay\": {\n \"enabled\": true\n },\n \"c2p_master\": {\n \"enabled\": false\n }\n },\n \"currency\": \"BRL\"\n}"
response = http.request(request)
puts response.body